LibreOffice: FileName Service Reference

LibreOffice LibreOffice 5.1 SDK API Reference

Included Services | Public Attributes | List of all members
FileName Service Referencepublished

specifies service of text field that displays the file name (URL) of the document. More...

`import"FileName.idl";`

Inheritance diagram for FileName:

## Included Services
service | com::sun::star::text::TextField
Included Services inherited from TextField
service | com::sun::star::text::TextContent

## Public Attributes
string | CurrentPresentation
| contains the current content of the text field. More...
short | FileFormat
| determines the format the file name is displayed as specified in com::sun::star::text::FilenameDisplayFormat. More...
boolean | IsFixed
| If this flag is set to `FALSE` the content is regularly updated. More...
Public Attributes inherited from TextField
boolean | IsFieldUsed
| specifies if the text field is actually used in the document. More...
boolean | IsFieldDisplayed
| specifies if the text field is actually displayed. More...
Public Attributes inherited from TextContent
com::sun::star::text::TextContentAnchorType | AnchorType
| specifies how the text content is attached to its surrounding Text. More...
sequence< com::sun::star::text::TextContentAnchorType > | AnchorTypes
| contains the anchor type of the text content. More...
com::sun::star::text::WrapTextMode | TextWrap
| specifies if the text content is a shape and how the text is wrapped around the shape. More...

## Additional Inherited Members
Exported Interfaces inherited from TextField
interface | com::sun::star::text::XTextField
| This interface is used to access the textual representation of this field. More...
interface | com::sun::star::beans::XPropertySet
| makes it possible to access the properties of the field, if any. More...
Exported Interfaces inherited from TextContent
interface | com::sun::star::text::XTextContent
| This interface is used for the attachment of this text content to the surrounding text. More...
Public Member Functions inherited from XTextContent
void | attach ([in] com::sun::star::text::XTextRange xTextRange) raises ( com::sun::star::lang::IllegalArgumentException )
| is called when this object gets embedded in a text. More...
com::sun::star::text::XTextRange | getAnchor ()
Public Member Functions inherited from XComponent
void | dispose ()
| The owner of an object calls this method to explicitly free all resources kept by this object and thus break cyclic references. More...
void | addEventListener ([in] XEventListener xListener)
| adds an event listener to the object. More...
void | removeEventListener ([in] XEventListener aListener)
| removes an event listener from the listener list. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...
Public Member Functions inherited from XTextField
string | getPresentation ([in] boolean bShowCommand)
Protected Member Functions inherited from XPropertySet
com::sun::star::beans::XPropertySetInfo | getPropertySetInfo ()
void | setPropertyValue ([in] string aPropertyName, [in] any aValue) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::beans::PropertyVetoException, com::sun::star::lang::IllegalArgumentException, com::sun::star::lang::WrappedTargetException )
| sets the value of the property with the specified name. More...
any | getPropertyValue ([in] string PropertyName) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
void | addPropertyChangeListener ([in] string aPropertyName, [in] com::sun::star::beans::XPropertyChangeListener xListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| adds an XPropertyChangeListener to the specified property. More...
void | removePropertyChangeListener ([in] string aPropertyName, [in] com::sun::star::beans::XPropertyChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| removes an XPropertyChangeListener from the listener list. More...
void | addVetoableChangeListener ([in] string PropertyName, [in] com::sun::star::beans::XVetoableChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| adds an XVetoableChangeListener to the specified property with the name PropertyName. More...
void | removeVetoableChangeListener ([in] string PropertyName, [in] com::sun::star::beans::XVetoableChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| removes an XVetoableChangeListener from the listener list. More...

## Detailed Description

specifies service of text field that displays the file name (URL) of the document.

See also
  com::sun::star::text::TextField

## Exported Interfaces

## § com::sun::star::text::TextField

service com::sun::star::text::TextField

## Member Data Documentation

## § CurrentPresentation

string CurrentPresentation
| property

contains the current content of the text field.

This property is especially useful for import/export purposes.

## § FileFormat

short FileFormat
| property

determines the format the file name is displayed as specified in com::sun::star::text::FilenameDisplayFormat.

## § IsFixed

boolean IsFixed
| property

If this flag is set to `FALSE` the content is regularly updated.

The documentation for this service was generated from the following file:

- com/sun/star/text/textfield/FileName.idl